Bug 154767

Summary: RefCounter<T>::Event -> RefCounterEvent
Product: WebKit Reporter: Gavin Barraclough <barraclough>
Component: Web Template FrameworkAssignee: Gavin Barraclough <barraclough>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, benjamin, cdumez, cmarcelo, commit-queue, ossy, peavo
Priority: P2    
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Fix darin: review+

Description Gavin Barraclough 2016-02-26 17:42:57 PST
Some final cleanup after my recent RefCounter changes.

RefCounter<T>::Event is kinda verbose to use, and there is no need for this to be specific to a particular typeof RefCounter. Move the enum class up to the top level & rename to RefCounterEvent.

Also remove UserObservablePageToken - this is vestigial & not really offering anything over just using UserObservablePageCounter::Token directly.
Comment 1 Gavin Barraclough 2016-02-26 17:45:12 PST
Created attachment 272388 [details]
Fix
Comment 2 WebKit Commit Bot 2016-02-26 17:47:39 PST
Attachment 272388 [details] did not pass style-queue:


ERROR: Source/WebKit2/UIProcess/WebProcessPool.cpp:162:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebKit2/UIProcess/ProcessThrottler.cpp:39:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WTF/wtf/RefCounter.h:62:  Extra space before ( in function call  [whitespace/parens] [4]
ERROR: Source/WebCore/platform/VNodeTracker.cpp:42:  More than one command on the same line in if  [whitespace/parens] [4]
Total errors found: 4 in 15 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Gavin Barraclough 2016-02-29 10:55:25 PST
Transmitting file data ................
Committed revision 197360.
Comment 4 Csaba Osztrogon√°c 2016-02-29 12:12:39 PST
(In reply to comment #3)
> Transmitting file data ................
> Committed revision 197360.

It broke the WinCairo build:
https://build.webkit.org/builders/WinCairo%2064-Bit%20Release/builds/54409

cc-ing port maintainers
Comment 5 Alex Christensen 2016-02-29 12:16:18 PST
When using ninja on Windows (which is what that bot does) it copies the WTF forwarding headers just before linking, which is too late for compiling WTF.  It prefers to use the forwarding headers for WTF instead of the headers in Source/WTF.  I need to fix this, but I'm working on other things right now.  I just deleted the forwarding headers on the bot.
Comment 6 Csaba Osztrogon√°c 2016-03-08 01:22:51 PST
(In reply to comment #5)
> When using ninja on Windows (which is what that bot does) it copies the WTF
> forwarding headers just before linking, which is too late for compiling WTF.
> It prefers to use the forwarding headers for WTF instead of the headers in
> Source/WTF.  I need to fix this, but I'm working on other things right now. 
> I just deleted the forwarding headers on the bot.

Could you file a bug report not to forget to fix it properly in the future?
It isn't good at all, if the incremental build is fragile on a platform.
Comment 7 Alex Christensen 2016-03-08 14:05:39 PST
(In reply to comment #6)
> (In reply to comment #5)
> > When using ninja on Windows (which is what that bot does) it copies the WTF
> > forwarding headers just before linking, which is too late for compiling WTF.
> > It prefers to use the forwarding headers for WTF instead of the headers in
> > Source/WTF.  I need to fix this, but I'm working on other things right now. 
> > I just deleted the forwarding headers on the bot.
> 
> Could you file a bug report not to forget to fix it properly in the future?
> It isn't good at all, if the incremental build is fragile on a platform.
I agree.  This should have actually been fixed by https://bugs.webkit.org/show_bug.cgi?id=154651 which changed the PRE_BUILD command to a custom target that the library is dependent on.